Package org.eclipse.net4j.ws.jetty

# Class Net4jWebSocketServlet

java.lang.Object
javax.servlet.GenericServlet
javax.servlet.http.HttpServlet
org.eclipse.jetty.websocket.server.JettyWebSocketServlet
org.eclipse.net4j.ws.jetty.Net4jWebSocketServlet

All Implemented Interfaces:
  `Serializable`, `javax.servlet.Servlet`, `javax.servlet.ServletConfig`

public class Net4jWebSocketServlet extends org.eclipse.jetty.websocket.server.JettyWebSocketServlet

Author:
  Eike Stepper
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`Net4jWebSocketServlet()`

## Method Summary

Modifier and Type
Method
Description
`void`
`configure(org.eclipse.jetty.websocket.server.JettyWebSocketServletFactory factory)`

### Methods inherited from class org.eclipse.jetty.websocket.server.JettyWebSocketServlet

`init, service`

### Methods inherited from class javax.servlet.http.HttpServlet

`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

### Methods inherited from class javax.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Net4jWebSocketServlet

public Net4jWebSocketServlet()

## Method Details

### configure

public void configure(org.eclipse.jetty.websocket.server.JettyWebSocketServletFactory factory)

Specified by:
  `configure` in class `org.eclipse.jetty.websocket.server.JettyWebSocketServlet`